<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
   $id_cd=$sesion->id;
           $lafecha=$_POST['fecha'];        
     $qp = "select  month('$lafecha')+1, year('$lafecha')";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
                 while($rDG = mysqli_fetch_row($cp)) 
                     {
                $elmes = $rDG[0];
                $elano = $rDG[1];

               };echo"$elmes $elano";
                   $elmesa=$elmes-1;
$elano2=$elano;
         if($elmes==13){$elmes=1; $elano=$elano+1;}
   if($elmesa==0){$elmesa=12; $elano=$elano-1;}
   


if($continua==1){
  $qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, `calificados`,`total`,`apagar`,`fechap`, impuestos, pagado, estampa, cd, banco.nombre as elbanco, nocuenta, status, vip, depo, rfc, inversionista.id_inver as id_inver FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE `status`=0 and fechap between '$elano-$elmes-01' and '$elano-$elmes-31' ORDER BY $listacd, $listacd2 $listaor";

}
if($continua==2){
  $qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, `calificados`,`total`,`apagar`,`fechap`, impuestos, pagado, estampa, cd, banco.nombre as elbanco, nocuenta, status, vip, depo, rfc, inversionista.id_inver as id_inver FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE `status`=0 and fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and banco_idbanco>=1 ORDER BY $listacd";

}
    else{
  	$qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, `calificados`,`total`,`apagar`,`fechap`, impuestos, pagado, estampa, cd, banco.nombre as elbanco, nocuenta, status, vip, depo, rfc, inversionista.id_inver as id_inver FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE `status`=0 and fechap between '$elano-$elmes-01' and '$elano-$elmes-31' order by vip, total desc";
    
    
    }
	

 $totalin = 0;
  $totalin2 = 0;

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  echo"<center><br><br><form name=\"Agrega2\" action=\"pagarregaliast.php\" method=\"post\">
  Ordenar por:<select name = \"listacd\"><option value=\"idreg\">ID Regalia</option>
  <option value=\"cd\">Centro Pago</option>
  <option value=\"fechap\">Fecha Generado</option>
  
  <option value=\"elnombre\">Nombre</option>
  <option value=\"appat\">Apellido P.</option>
  <option value=\"apmat\">Apellido M.</option>
  <option value=\"pagado\">Cantidad Pagada</option>
  <option value=\"fechaf\">Fecha Pago</option>
  <option value=\"elbanco\">Banco</option>
  <option value=\"estampa\">Ingreso</option></select>
  Y despues:<select name = \"listacd2\"><option value=\"idreg\">ID Regalia</option>
  <option value=\"cd\">Centro Pago</option>
  <option value=\"fechap\">Fecha Generado</option>
  
  <option value=\"elnombre\">Nombre</option>
  <option value=\"appat\">Apellido P.</option>
  <option value=\"apmat\">Apellido M.</option>
  <option value=\"pagado\">Cantidad Pagada</option>
  <option value=\"fechaf\">Fecha Pago</option>
  <option value=\"elbanco\">Banco</option><option value=\"estampa\">Ingreso</option></select>
  Orden: <select name = \"listaor\"><option value=\"ASC\">Ascendente</option><option value=\"DESC\">Descendente</option></select>
  <input type=hidden name=continua value=\"1\" />
  <input type=hidden name=fecha value=\"$lafecha\" />
  <input type=\"submit\" name=\"lista2\"  value=\"Continuar\" />
  
  
  
  </form>";
 echo"<br><form name=\"Agrega3\" action=\"pagarregaliast.php\" method=\"post\">
  Mostrar solo regalias con cuenta y ordenar por:<select name = \"listacd\">
<option value=\"idreg\">ID Regalia</option>
  <option value=\"cd\">Centro Pago</option>
  <option value=\"fechap\">Fecha Generado</option>
  
  <option value=\"elnombre\">Nombre</option>
  <option value=\"appat\">Apellido P.</option>
  <option value=\"apmat\">Apellido M.</option>
  <option value=\"pagado\">Cantidad Pagada</option>
  <option value=\"fechaf\">Fecha Pago</option>
  <option value=\"elbanco\">Banco</option><option value=\"estampa\">Ingreso</option>
 </select>

  <input type=hidden name=continua value=\"2\" />
  <input type=hidden name=fecha value=\"$lafecha\" />
  <input type=\"submit\" name=\"lista2\"  value=\"Continuar\" />
  
  
  
  </form>";


   
if(!mysqli_affected_rows($conexion))
{
	echo "<center>No hay Regalias por el momento.</center><br>";
    exit;
}




echo "<html>
			<body>
			
			<br>
			<center><b>REGALIAS POR PAGAR</b>
			
			<br>
<form name=\"transito\" action=\"mandartransito.php\" method=\"post\">
	        <table border=\"1\" align=\"center\">
	 ";
	
	
echo " <th></th><th>Tipo</th><th>ID</th><th>Fecha</th><th>Nombre</th><th>Ap Paterno</th><th>Ap Materno</th><th>Calificados</th><th>Generado</th>
<th>A pagar</th><th>Impuestos</th><th>A Depositar</th><th>Ingreso</th><th>CD</th><th>Banco</th><th>Cuenta</th><th>Estatus</th>";

while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$stat=$objetoPP->status;
if($stat==0){$elstat="Por Pagar";}   if($stat==4){$elstat="En transito";}  
$apa=$objetoPP->apagar;
$imp=round($apa*.07);
$dep=round($apa*.93);
$totalin+=$apa; 
	$qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE (tipostr_idtipostr='10' or tipostr_idtipostr='12') and inversionista_id_inver = \"$objetoPP->id_inver\" and fechat between '$elano2-$elmesa-01' and '$elano2-$elmesa-31'";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
  
           $val11=$rr[0];
	
	
	echo "<tr><td><input type=checkbox name=regas[] value=$objetoPP->idreg ></td>
			 <td>$objetoPP->depo</td><td>$objetoPP->idreg $objetoPP->rfc</td><td>$objetoPP->fechap</td><td>$objetoPP->elnombre</td><td>$objetoPP->appat</td><td>$objetoPP->apmat</td><td>$objetoPP->calificados $val11</td>
			 <td>$objetoPP->total</td><td>$apa</td><td>$imp</td><td>$dep</td><td>$objetoPP->estampa</td><td>$objetoPP->cd</td>
             <td>$objetoPP->elbanco</td><td>$objetoPP->nocuenta</td><td>$elstat</td>";
             
		
            
		
                 
	echo"
		  </tr> 
		 ";
   
}
echo "</table><br><input type=\"submit\" value=\"Enviar a transito\" name=\"pago\"></form><br>
El total de regalias por pagar $ $totalin<br>"; 
   
 /*  $qPP2 = "SELECT nombre, appat, apmat, `calificados`,`primera`,`segunda`,`tercera`,`cuarta`,`total`,`apagar`,`fechap` FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE `status`=0 and cd='".$id_cd."'";



$rPP2 = mysqli_query($conexion, $qPP2) or die ('ErrPP: '. mysqli_error($conexion));

   			echo"
			
			
			

	        <table border=\"1\" align=\"center\">
	 ";
	
	
echo " <th>Nombre</th><th>Calificados</th><th>1ra Gen</th><th>2da Gen</th><th>3ra Gen</th><th>4ta Gen</th><th>Tipo de pago</th><th>Observaciones</th>";

while (($objetoPP=mysqli_fetch_object($rPP2)) )
{$totalin2+=$objetoPP->pagar;
	echo "<tr>
			 <td>$objetoPP->rfc</td><td>$ $objetoPP->pagar</td><td>$objetoPP->fechap</td><td>$objetoPP->tipop</td>  <td>$objetoPP->observaciones</td> <td>
			
			</td>
                 
	
		  </tr> 
		 ";
   
}
echo "<br><b>REGALIAS PAGADAS</b><br><br>
El total de regalias pagadas $ $totalin2<br>"; /*/
?>